Show / Hide Table of Contents

# Delegate GameNetwork.OnNetworkMessageDelegate

###### Namespace: Dalamud.Game.Internal.Network

###### Assembly: Dalamud.dll

##### Syntax

    public delegate void OnNetworkMessageDelegate(IntPtr dataPtr, ushort opCode, uint sourceActorId, uint targetActorId, NetworkMessageDirection direction);

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dataPtr |
System.UInt16 | opCode |
System.UInt32 | sourceActorId |
System.UInt32 | targetActorId |
NetworkMessageDirection | direction |